variablelist.as.table
Prev | Miscellaneous | Next

## Name

variablelist.as.table — Format `variablelist`s as tables?

## Synopsis

    <xsl:param name="variablelist.as.table" select="0"></xsl:param>

## Description

If non-zero, `variablelist`s will be formatted as tables. A processing instruction exists to specify a particualar width for the column containing the `term`s: <sgmltab>dbhtml term-width=".25in"</sgmltab>

You can override this setting with a processing instruction as the child of `variablelist`: `<?dbhtml list-presentation="table">` or `<?dbhtml list-presentation="list">`.

This parameter only applys to the HTML transformations. In the FO case, proper list markup is robust enough to handle the formatting. But see also `variablelist.as.blocks`.

      <variablelist>
            <?dbhtml list-presentation="table"?>
            <?dbhtml term-width="1.5in"?>
            <?dbfo list-presentation="list"?>
            <?dbfo term-width="1in"?>
            <varlistentry>
              <term>list</term>
              <listitem>
                    <para>
                      Formatted as a table even if variablelist.as.table is set to 0.
                    </para>
              </listitem>
            </varlistentry>
      </variablelist>

Prev | Up | Next
segmentedlist.as.table | Home | tex.math.in.alt